package com.yanzuoguang.extend;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 打印SQL日志
 * @author 颜佐光
 */
@Component
public class ConfigDb {
    /**
     * 打印映射日志
     */
    @Value("${yzg.PrintMapper:false}")
    private boolean printMapper;
    /**
     * 打印SQL日志
     */
    @Value("${yzg.PrintSql:false}")
    private boolean printSql;

    /**
     * 判断是否匹配过滤
     */
    @Value("${yzg.PrintSqlFilter:}")
    private String printSqlFilter;

    @Value("${yzg.row.name.type:0}")
    private int rowNameType;

    public boolean isPrintMapper() {
        return printMapper;
    }

    public boolean isPrintSql() {
        return printSql;
    }

    public String getPrintSqlFilter() {
        return printSqlFilter;
    }

    public int getRowNameType() {
        return rowNameType;
    }
}
